Skip to main content
GET
Retrieve event definitions

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

behavioral_events.event_definitions.read_write

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

includeProperties
boolean

A boolean indicating whether to include properties of the event definitions in the response.

limit
integer<int32>

The maximum number of results to display per page.

searchString
string

A string used to search for event definitions by name or other attributes.

sortOrder
string

A string specifying the order in which results should be sorted.

Response

successful operation

results
object[]
required

An array containing the external behavioral event type definitions returned in the current page of results.

total
integer<int32>
required

An integer representing the total number of external behavioral event type definitions available.

paging
object

Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.

Last modified on September 9, 2026